import { z } from "zod";

const rangePriceObj = {
  range: z.object({
    min: z
      .number()
      .refine((n) => n > 0, "El valor mínimo debe ser superior a cero"),
    max: z.number(),
  }),
};

export const rangePriceSchema = z.object(rangePriceObj);
