import { StripePlugin } from "@vue-stripe/vue-stripe";
import { boot } from "quasar/wrappers";

// "async" is optional;
// more info on params: https://v2.quasar.dev/quasar-cli/boot-files
export default boot(({ app }) => {
  const options = {
    pk: "pk_test_51OZaJdIK1lTlG93d2y0B81n4XrjvjQwqfIUZ7ggb9wEBa1e4h34GlYFYPwjtGl3OUT7DJZlVNX9EMXaCdOBkIC3T007mLnfvCu",
    stripeAccount: "acct_1OXQt7GMODwoSxWA",
    apiVersion: "2023-10-16",
    locale: "pt-BR",
  };

  app.config.globalProperties.$stripe = StripePlugin.install = options;

  app.use(StripePlugin, options);
});
